Configure Multisite Kingbird daily job 23/27623/5
authorFatih Degirmenci <fatih.degirmenci@ericsson.com>
Thu, 26 Jan 2017 16:15:58 +0000 (17:15 +0100)
committerFatih Degirmenci <fatih.degirmenci@ericsson.com>
Fri, 27 Jan 2017 13:04:44 +0000 (14:04 +0100)
Change-Id: I6e808306194fa7cf32287eba557907d782cbef8c
Signed-off-by: Fatih Degirmenci <fatih.degirmenci@ericsson.com>
jjb/multisite/fuel-deploy-for-multisite.sh [new file with mode: 0755]
jjb/multisite/multisite-daily-jobs.yml

diff --git a/jjb/multisite/fuel-deploy-for-multisite.sh b/jjb/multisite/fuel-deploy-for-multisite.sh
new file mode 100755 (executable)
index 0000000..fab9ace
--- /dev/null
@@ -0,0 +1,116 @@
+#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2016 Ericsson AB and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+set -o nounset
+set -o pipefail
+
+# do not continue with the deployment if FRESH_INSTALL is not requested
+if [[ "$FRESH_INSTALL" == "true" ]]; then
+    echo "Fresh install requested. Proceeding with the installation."
+else
+    echo "Fresh install is not requested. Skipping the installation."
+    exit 0
+fi
+
+export TERM="vt220"
+
+# get the latest successful job console log and extract the properties filename
+FUEL_DEPLOY_BUILD_URL="https://build.opnfv.org/ci/job/fuel-deploy-virtual-daily-master/lastSuccessfulBuild/consoleText"
+FUEL_PROPERTIES_FILE=$(curl -s -L ${FUEL_DEPLOY_URL} | grep 'ISO:' | awk '{print $2}' | sed 's/iso/properties/g')
+if [[ -z "FUEL_PROPERTIES_FILE" ]]; then
+    echo "Unable to extract the url to Fuel ISO properties from ${FUEL_DEPLOY_URL}"
+    exit 1
+fi
+curl -L -s -o $WORKSPACE/latest.properties http://artifacts.opnfv.org/fuel/$FUEL_PROPERTIES_FILE
+
+# source the file so we get OPNFV vars
+source latest.properties
+
+# echo the info about artifact that is used during the deployment
+echo "Using ${OPNFV_ARTIFACT_URL/*\/} for deployment"
+
+# download the iso
+echo "Downloading the ISO using the link http://$OPNFV_ARTIFACT_URL"
+curl -L -s -o $WORKSPACE/opnfv.iso http://$OPNFV_ARTIFACT_URL > gsutil.iso.log 2>&1
+
+echo "Checking out $OPNFV_GIT_SHA1"
+git checkout $OPNFV_GIT_SHA1 --quiet
+
+# set deployment parameters
+DEPLOY_SCENARIO="os-nosdn-nofeature-noha"
+export TMPDIR=$HOME/tmpdir
+BRIDGE=${BRIDGE:-pxebr}
+LAB_NAME=${NODE_NAME/-*}
+POD_NAME=${NODE_NAME/*-}
+
+if [[ "$NODE_NAME" =~ "virtual" ]]; then
+    POD_NAME="virtual_kvm"
+fi
+
+# we currently support ericsson, intel, lf and zte labs
+if [[ ! "$LAB_NAME" =~ (ericsson|intel|lf|zte) ]]; then
+    echo "Unsupported/unidentified lab $LAB_NAME. Cannot continue!"
+    exit 1
+else
+    echo "Using configuration for $LAB_NAME"
+fi
+
+# create TMPDIR if it doesn't exist
+export TMPDIR=$HOME/tmpdir
+mkdir -p $TMPDIR
+
+# change permissions down to TMPDIR
+chmod a+x $HOME
+chmod a+x $TMPDIR
+
+# clone the securedlab repo
+cd $WORKSPACE
+echo "Cloning securedlab repo ${GIT_BRANCH##origin/}"
+git clone ssh://jenkins-ericsson@gerrit.opnfv.org:29418/securedlab --quiet \
+    --branch ${GIT_BRANCH##origin/}
+
+# log file name
+FUEL_LOG_FILENAME="${JOB_NAME}_${BUILD_NUMBER}.log.tar.gz"
+
+# construct the command
+DEPLOY_COMMAND="sudo $WORKSPACE/ci/deploy.sh -b file://$WORKSPACE/securedlab \
+    -l $LAB_NAME -p $POD_NAME -s $DEPLOY_SCENARIO -i file://$WORKSPACE/opnfv.iso \
+    -H -B $BRIDGE -S $TMPDIR -L $WORKSPACE/$FUEL_LOG_FILENAME"
+
+# log info to console
+echo "Deployment parameters"
+echo "--------------------------------------------------------"
+echo "Scenario: $DEPLOY_SCENARIO"
+echo "Lab: $LAB_NAME"
+echo "POD: $POD_NAME"
+echo "ISO: ${OPNFV_ARTIFACT_URL/*\/}"
+echo
+echo "Starting the deployment using $INSTALLER_TYPE. This could take some time..."
+echo "--------------------------------------------------------"
+echo
+
+# start the deployment
+echo "Issuing command"
+echo "$DEPLOY_COMMAND"
+echo
+
+$DEPLOY_COMMAND
+exit_code=$?
+
+echo
+echo "--------------------------------------------------------"
+echo "Deployment is done!"
+
+if [[ $exit_code -ne 0 ]]; then
+    echo "Deployment failed!"
+    exit $exit_code
+else
+    echo "Deployment is successful!"
+    exit 0
+fi
index 437dde9..e0dfbfa 100644 (file)
@@ -9,17 +9,15 @@
 
     phase:
         - 'fuel-deploy-regionone-virtual':
-            slave-label: 'ericsson-virtual12'
+            slave-label: ericsson-virtual12
         - 'fuel-deploy-regiontwo-virtual':
-            slave-label: 'ericsson-virtual13'
+            slave-label: ericsson-virtual13
         - 'register-endpoints':
-            slave-label: 'ericsson-virtual12'
+            slave-label: ericsson-virtual12
         - 'update-auth':
-            slave-label: 'ericsson-virtual13'
+            slave-label: ericsson-virtual13
         - 'kingbird-deploy-virtual':
-            slave-label: 'ericsson-virtual12'
-        - 'kingbird-functest':
-            slave-label: 'ericsson-virtual12'
+            slave-label: ericsson-virtual12
 
     stream:
         - master:
     parameters:
         - project-parameter:
             project: '{project}'
+        - choice:
+            name: FRESH_INSTALL
+            choices:
+                - 'true'
+                - 'false'
         - string:
             name: KINGBIRD_LOG_FILE
             default: $WORKSPACE/kingbird.log
@@ -63,6 +66,7 @@
                     OS_REGION=RegionOne
                     REGIONONE_IP=100.64.209.10
                     REGIONTWO_IP=100.64.209.11
+                    FRESH_INSTALL=$FRESH_INSTALL
                   node-parameters: false
                   node-label-name: SLAVE_LABEL
                   node-label: ericsson-virtual12
@@ -76,6 +80,7 @@
                     OS_REGION=RegionTwo
                     REGIONONE_IP=100.64.209.10
                     REGIONTWO_IP=100.64.209.11
+                    FRESH_INSTALL=$FRESH_INSTALL
                   node-parameters: false
                   node-label-name: SLAVE_LABEL
                   node-label: ericsson-virtual13
             name: kingbird-functest
             condition: SUCCESSFUL
             projects:
-                - name: 'multisite-kingbird-functest-{stream}'
+                - name: 'functest-fuel-virtual-suite-{stream}'
                   current-parameters: false
                   predefined-parameters: |
                     DEPLOY_SCENARIO='os-nosdn-multisite-noha'
+                    FUNCTEST_SUITE_NAME='multisite'
                     OS_REGION=RegionOne
                     REGIONONE_IP=100.64.209.10
                     REGIONTWO_IP=100.64.209.11
             default: $WORKSPACE/kingbird.log
         - '{slave-label}-defaults'
 
+    scm:
+        - git-scm
+
     builders:
         - description-setter:
             description: "Built on $NODE_NAME"
 - builder:
     name: 'multisite-fuel-deploy-regionone-virtual-builder'
     builders:
+        - shell:
+            !include-raw-escape: ./fuel-deploy-for-multisite.sh
         - shell: |
             #!/bin/bash
-
             echo "This is where we deploy fuel, extract passwords and save into file"
+            #$WORKSPACE/tools/keystone/fetchpass.sh
 - builder:
     name: 'multisite-fuel-deploy-regiontwo-virtual-builder'
     builders:
+        - shell:
+            !include-raw-escape: ./fuel-deploy-for-multisite.sh
         - shell: |
             #!/bin/bash
 
             echo "This is where we deploy fuel, extract publicUrl, privateUrl, and adminUrl and save into file"
+            #$WORKSPACE/tools/keystone/endpoint.sh
 - builder:
     name: 'multisite-register-endpoints-builder'
     builders:
         - copyartifact:
             project: 'multisite-fuel-deploy-regiontwo-virtual-{stream}'
             which-build: multijob-build
-            filter: "RegionTwo-Endpoints.txt"
+            filter: "endpoints.ini"
         - shell: |
             #!/bin/bash
 
-            echo "This is where we register RegionTwo in RegionOne keystone"
+            echo "This is where we register RegionTwo in RegionOne keystone using endpoints.ini"
+            #$WORKSPACE/tools/keystone/region.sh
 - builder:
     name: 'multisite-update-auth-builder'
     builders:
         - copyartifact:
             project: 'multisite-fuel-deploy-regionone-virtual-{stream}'
             which-build: multijob-build
-            filter: "RegionOne-Passwords.txt"
+            filter: "servicepass.ini"
         - shell: |
             #!/bin/bash
 
-            echo "This is where we read passwords from RegionOne-passwords.txt and replace passwords in RegionTwo"
+            echo "This is where we read passwords from servicepass.ini and replace passwords in RegionTwo"
+            #$WORKSPACE/tools/keystone/run.sh -t controller -r $WORKSPACE/tools/keystone/writepass.sh -d $WORKSPACE/servicepass.ini
+            #$WORKSPACE/tools/keystone/run.sh -t compute -r $WORKSPACE/tools/keystone/writepass.sh -d $WORKSPACE/servicepass.ini
 - builder:
     name: 'multisite-kingbird-deploy-virtual-builder'
     builders:
             #!/bin/bash
 
             echo "This is where we install kingbird"
-- builder:
-    name: 'multisite-kingbird-functest-builder'
-    builders:
-        - shell: |
-            #!/bin/bash
-
-            echo "This is where we run kingbird-functest"
+            #$WORKSPACE/tools/kingbird/deploy.sh
 ########################
 # publisher macros
 ########################
     name: 'multisite-fuel-deploy-regionone-virtual-publisher'
     publishers:
         - archive:
-            artifacts: '/root/servicepass.ini'
+            artifacts: 'servicepass.ini'
             allow-empty: false
             only-if-success: true
             fingerprint: true
     name: 'multisite-fuel-deploy-regiontwo-virtual-publisher'
     publishers:
         - archive:
-            artifacts: '/root/endpoints.ini'
+            artifacts: 'endpoints.ini'
             allow-empty: false
             only-if-success: true
             fingerprint: true